<!DOCTYPE html>
<html>

<head>
    <style>
        .grid-container {
            display: grid;
            grid-template-columns: auto auto auto auto;
            background-color: #dbffd6;
            padding: 10px;
        }

        .grid-item {
            background-color: rgba(255, 255, 255, 0.8);
            border: 1px solid rgba(250, 179, 176, 0.8);
            padding: 20px;
            font-size: 30px;
            text-align: center;
            cursor: pointer;
        }

        .grid-column {
            grid-column: 1/5;
            text-align: right;
            padding-right: 50px;
        }
    </style>
</head>

<body>

    <h1>계산기</h1>

    <p></p>

    <div class="grid-container">
        <div class="grid-column grid-item">0</div>
        <div class="grid-item">1</div>
        <div class="grid-item">2</div>
        <div class="grid-item">3</div>
        <div class="grid-item">+</div>
        <div class="grid-item">4</div>
        <div class="grid-item">5</div>
        <div class="grid-item">6</div>
        <div class="grid-item">-</div>
        <div class="grid-item">7</div>
        <div class="grid-item">8</div>
        <div class="grid-item">9</div>
        <div class="grid-item">*</div>
        <div class="grid-item">0</div>
        <div class="grid-item">C</div>
        <div class="grid-item">=</div>
        <div class="grid-item">/</div>
    </div>
    <script>
        //클릭이벤트
        document.querySelectorAll('.grid-container>.grid-item').forEach(item => {
            item.addEventListener('click', calFnc)
        })

        function calFnc() {
            let display = document.querySelector('.grid-container>.grid-column');
            if (this.innerText == 'C') {
                display.innerText = 0
                return; //함수의 실행종료
            }
            if(this.innerText == '='){
                let first = last = 0;
                let str = display.innerText; //034+12=
                if(str.indexOf('+') != -1){
                    first = str.substring(0, str.indexOf('+'));
                    last = str.substring(str.indexOf('+')+1, str.length);
                    console.log(first, last);
                    display.innerText = parseInt(first)+parseInt(last);
                }else if(str.indexOf('-') != -1){
                    first = str.substring(0, str.indexOf('-'));
                    last = str.substring(str.indexOf('-')+1, str.length);
                    console.log(first, last);
                    display.innerText = parseInt(first)-parseInt(last);
                }else if(str.indexOf('*') != -1){
                    first = str.substring(0, str.indexOf('*'));
                    last = str.substring(str.indexOf('*')+1, str.length);
                    console.log(first, last);
                    display.innerText = parseInt(first)*parseInt(last);
                }else if(str.indexOf('/') != -1){
                    first = str.substring(0, str.indexOf('/'));
                    last = str.substring(str.indexOf('/')+1, str.length);
                    console.log(first, last);
                    display.innerText = parseInt(first)/parseInt(last);
                }
                return;
            }
            display.innerText += this.innerText;

        }
    </script>

</body>

</html>